SUBDIRS = pics

INCLUDES = -I$(top_srcdir)/libtdegames $(all_includes)

bin_PROGRAMS = kblackbox
kblackbox_SOURCES = kbbgfx.cpp kbbgame.cpp util.cpp main.cpp
kblackbox_LDFLAGS = $(all_libraries) $(KDE_RPATH) $(LIB_TQT) -lDCOP $(LIB_TDECORE) $(LIB_TDEUI) -ltdefx $(LIB_TDEIO) -ltdetexteditor
kblackbox_LDADD = $(LIB_TDEGAMES)
kblackbox_DEPENDENCIES = $(LIB_TDEGAMES_DEP)

METASOURCES = AUTO
KDE_ICON = kblackbox

xdg_apps_DATA = kblackbox.desktop

EXTRA_DIST = VERSION CHANGES $(xdg_apps_DATA)

rcdir = $(kde_datadir)/kblackbox
rc_DATA = kblackboxui.rc

messages: rc.cpp
	$(XGETTEXT) *.cpp -o $(podir)/kblackbox.pot
